## ros-humble-flexbe-core 2.3.5

=== debian/changelog ===
ros-humble-flexbe-core (2.3.5-1bookworm) bookworm; urgency=high

  * Add parsing check to handle exceptions in manifest
  * update change log

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-humble-flexbe-core (2.3.4-1bookworm) bookworm; urgency=high

  * proxy action client: remove result_status and test proxy status
  * Fixed bug when trying to get result state/GoalStatus.
  * Add throttle option for logging (PR #14)

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-humble-flexbe-core (2.3.3-1bookworm) bookworm; urgency=high

  * destroy sub/pub/client in executor thread
  * update to protect against executor calls after unsubscribe/shutdown
  * use SingleThreadedExecutor without callback groups
  * use basic pub/sub for onboard; cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-humble-flexbe-core (2.3.2-1bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flexbe-core (2.3.1-1bookworm) bookworm; urgency=high

  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-flexbe-core (2.3.0-1bookworm) bookworm; urgency=high

  * add wait_duration to proxy action client send goal and other tweaks
    * This change could reducing waiting. If you need longer wait time, specify wait_duration
  * make action client is_available check current status not wait
  * flake8 cleanup; make test consistent; protect against build farm timing issue
  * cleanup; modify handling of existing subscriptions
  * Updates to dependencies for ROS build farm
  * Modify sync messaging to avoid issue if not active state when behavior shuts down
  * clean up some spam to FlexBE app console
  * include package name in behavior request (requires flexbe_app 3.1+) to allow duplicate behavior names in packages

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-flexbe-core (2.2.0-1bookworm) bookworm; urgency=high

  * Modify to used behavior_id (checksum) and behavior_key consistently
  * Modify shutdown handling for clean stop
  * Modify wait() handling to avoid creating a rate object
  * modify sync handling and execute loop timing
  * add proxy tf listener
  * Require 'inst_id' for ProxySubscriber setup (change from 'id')
  * flake8, pep257, pylint cleanup; licenses and copyright
  * Pull request #154
  * Pull request #163
  * Pull request #153 Modification
  * Merge pull request #11 from grejj/ros2-devel
    Added destroy rate calls to clear up rate resources (undone by item 2 above)

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-humble-flexbe-core (2.1.1-1bookworm) bookworm; urgency=high

  * ProxyServiceCaller changes
    * fix issue #1
    * wait_duration handling
    * connect without service being available
    * misc cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-flexbe-core (2.1.0-1bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Includes changes sync check handling
  * Label proxy subscribers by instance id and handle instance type changes
  * Update proxy action client handling
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-flexbe-core (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-humble-flexbe-core (1.3.1-1bookworm) bookworm; urgency=high

  * [flexbe_core] Replace set conversion for python3 compatibility
    (see #136 <https://github.com/team-vigir/flexbe_behavior_engine/issues/136>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-humble-flexbe-core (1.3.0-1bookworm) bookworm; urgency=high

  * [flexbe_core] Further fixes to userdata
  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] Several fixes to userdata
    (see #129 <https://github.com/team-vigir/flexbe_behavior_engine/issues/129>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Merge branch 'feature/core_rework' of https://github.com/team-vigir/flexbe_behavior_engine into feature/core_rework
  * Add support for python3
  * [flexbe_core] Fix typo in userdata handling of concurrency container
  * [flexbe_core] Use more explicit userdata update operations
  * [flexbe_core] Add userdata tests and improvements
  * [flexbe_core] Add checks and specific exception types
  * [flexbe_core] Add test cases for state capabilities
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-humble-flexbe-core (1.2.5-1bookworm) bookworm; urgency=high

  * [flexbe_core] Consider a running mirror as being controlled
    (see #123 <https://github.com/team-vigir/flexbe_behavior_engine/issues/123>)
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_core] Allow to specify a subset of logged userdata keys
  * [flexbe_core] Extend configuration options

