=== debian/control ===
Source: ros-humble-flexbe-core
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-flexbe-msgs, ros-humble-launch-ros <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-ros-py, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-humble-flexbe-core
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-flexbe-msgs, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2-ros-py, ros-humble-ros-workspace
Description: flexbe_core provides the core components for the FlexBE behavior engine.
